]> git.donarmstrong.com Git - fastq-tools.git/blob - tests/Makefile.in
Imported Upstream version 0.6
[fastq-tools.git] / tests / Makefile.in
1 # Makefile.in generated by automake 1.13.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2012 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__make_dryrun = \
18   { \
19     am__dry=no; \
20     case $$MAKEFLAGS in \
21       *\\[\ \   ]*) \
22         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
23           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
24       *) \
25         for am__flg in $$MAKEFLAGS; do \
26           case $$am__flg in \
27             *=*|--*) ;; \
28             *n*) am__dry=yes; break;; \
29           esac; \
30         done;; \
31     esac; \
32     test $$am__dry = yes; \
33   }
34 pkgdatadir = $(datadir)/@PACKAGE@
35 pkgincludedir = $(includedir)/@PACKAGE@
36 pkglibdir = $(libdir)/@PACKAGE@
37 pkglibexecdir = $(libexecdir)/@PACKAGE@
38 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
39 install_sh_DATA = $(install_sh) -c -m 644
40 install_sh_PROGRAM = $(install_sh) -c
41 install_sh_SCRIPT = $(install_sh) -c
42 INSTALL_HEADER = $(INSTALL_DATA)
43 transform = $(program_transform_name)
44 NORMAL_INSTALL = :
45 PRE_INSTALL = :
46 POST_INSTALL = :
47 NORMAL_UNINSTALL = :
48 PRE_UNINSTALL = :
49 POST_UNINSTALL = :
50 build_triplet = @build@
51 host_triplet = @host@
52 check_PROGRAMS = random_fastq$(EXEEXT) cat_fastq$(EXEEXT)
53 subdir = tests
54 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
55         $(top_srcdir)/depcomp $(top_srcdir)/test-driver
56 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
57 am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
58         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
59         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
60         $(top_srcdir)/configure.ac
61 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
62         $(ACLOCAL_M4)
63 mkinstalldirs = $(install_sh) -d
64 CONFIG_CLEAN_FILES =
65 CONFIG_CLEAN_VPATH_FILES =
66 cat_fastq_SOURCES = cat_fastq.c
67 cat_fastq_OBJECTS = cat_fastq.$(OBJEXT)
68 cat_fastq_LDADD = $(LDADD)
69 AM_V_lt = $(am__v_lt_@AM_V@)
70 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
71 am__v_lt_0 = --silent
72 am__v_lt_1 = 
73 random_fastq_SOURCES = random_fastq.c
74 random_fastq_OBJECTS = random_fastq.$(OBJEXT)
75 random_fastq_LDADD = $(LDADD)
76 AM_V_P = $(am__v_P_@AM_V@)
77 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
78 am__v_P_0 = false
79 am__v_P_1 = :
80 AM_V_GEN = $(am__v_GEN_@AM_V@)
81 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
82 am__v_GEN_0 = @echo "  GEN     " $@;
83 am__v_GEN_1 = 
84 AM_V_at = $(am__v_at_@AM_V@)
85 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
86 am__v_at_0 = @
87 am__v_at_1 = 
88 DEFAULT_INCLUDES = -I.@am__isrc@
89 depcomp = $(SHELL) $(top_srcdir)/depcomp
90 am__depfiles_maybe = depfiles
91 am__mv = mv -f
92 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
93         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
94 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
95         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
96         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
97         $(AM_CFLAGS) $(CFLAGS)
98 AM_V_CC = $(am__v_CC_@AM_V@)
99 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
100 am__v_CC_0 = @echo "  CC      " $@;
101 am__v_CC_1 = 
102 CCLD = $(CC)
103 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
104         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
105         $(AM_LDFLAGS) $(LDFLAGS) -o $@
106 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
107 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
108 am__v_CCLD_0 = @echo "  CCLD    " $@;
109 am__v_CCLD_1 = 
110 SOURCES = cat_fastq.c random_fastq.c
111 DIST_SOURCES = cat_fastq.c random_fastq.c
112 am__can_run_installinfo = \
113   case $$AM_UPDATE_INFO_DIR in \
114     n|no|NO) false;; \
115     *) (install-info --version) >/dev/null 2>&1;; \
116   esac
117 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
118 # Read a list of newline-separated strings from the standard input,
119 # and print each of them once, without duplicates.  Input order is
120 # *not* preserved.
121 am__uniquify_input = $(AWK) '\
122   BEGIN { nonempty = 0; } \
123   { items[$$0] = 1; nonempty = 1; } \
124   END { if (nonempty) { for (i in items) print i; }; } \
125 '
126 # Make sure the list of sources is unique.  This is necessary because,
127 # e.g., the same source file might be shared among _SOURCES variables
128 # for different programs/libraries.
129 am__define_uniq_tagged_files = \
130   list='$(am__tagged_files)'; \
131   unique=`for i in $$list; do \
132     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
133   done | $(am__uniquify_input)`
134 ETAGS = etags
135 CTAGS = ctags
136 am__tty_colors_dummy = \
137   mgn= red= grn= lgn= blu= brg= std=; \
138   am__color_tests=no
139 am__tty_colors = { \
140   $(am__tty_colors_dummy); \
141   if test "X$(AM_COLOR_TESTS)" = Xno; then \
142     am__color_tests=no; \
143   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
144     am__color_tests=yes; \
145   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
146     am__color_tests=yes; \
147   fi; \
148   if test $$am__color_tests = yes; then \
149     red='\e[0;31m'; \
150     grn='\e[0;32m'; \
151     lgn='\e[1;32m'; \
152     blu='\e[1;34m'; \
153     mgn='\e[0;35m'; \
154     brg='\e[1m'; \
155     std='\e[m'; \
156   fi; \
157 }
158 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
159 am__vpath_adj = case $$p in \
160     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
161     *) f=$$p;; \
162   esac;
163 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
164 am__install_max = 40
165 am__nobase_strip_setup = \
166   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
167 am__nobase_strip = \
168   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
169 am__nobase_list = $(am__nobase_strip_setup); \
170   for p in $$list; do echo "$$p $$p"; done | \
171   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
172   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
173     if (++n[$$2] == $(am__install_max)) \
174       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
175     END { for (dir in files) print dir, files[dir] }'
176 am__base_list = \
177   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
178   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
179 am__uninstall_files_from_dir = { \
180   test -z "$$files" \
181     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
182     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
183          $(am__cd) "$$dir" && rm -f $$files; }; \
184   }
185 am__recheck_rx = ^[     ]*:recheck:[    ]*
186 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
187 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
188 # A command that, given a newline-separated list of test names on the
189 # standard input, print the name of the tests that are to be re-run
190 # upon "make recheck".
191 am__list_recheck_tests = $(AWK) '{ \
192   recheck = 1; \
193   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
194     { \
195       if (rc < 0) \
196         { \
197           if ((getline line2 < ($$0 ".log")) < 0) \
198             recheck = 0; \
199           break; \
200         } \
201       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
202         { \
203           recheck = 0; \
204           break; \
205         } \
206       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
207         { \
208           break; \
209         } \
210     }; \
211   if (recheck) \
212     print $$0; \
213   close ($$0 ".trs"); \
214   close ($$0 ".log"); \
215 }'
216 # A command that, given a newline-separated list of test names on the
217 # standard input, create the global log from their .trs and .log files.
218 am__create_global_log = $(AWK) ' \
219 function fatal(msg) \
220 { \
221   print "fatal: making $@: " msg | "cat >&2"; \
222   exit 1; \
223 } \
224 function rst_section(header) \
225 { \
226   print header; \
227   len = length(header); \
228   for (i = 1; i <= len; i = i + 1) \
229     printf "="; \
230   printf "\n\n"; \
231 } \
232 { \
233   copy_in_global_log = 1; \
234   global_test_result = "RUN"; \
235   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
236     { \
237       if (rc < 0) \
238          fatal("failed to read from " $$0 ".trs"); \
239       if (line ~ /$(am__global_test_result_rx)/) \
240         { \
241           sub("$(am__global_test_result_rx)", "", line); \
242           sub("[        ]*$$", "", line); \
243           global_test_result = line; \
244         } \
245       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
246         copy_in_global_log = 0; \
247     }; \
248   if (copy_in_global_log) \
249     { \
250       rst_section(global_test_result ": " $$0); \
251       while ((rc = (getline line < ($$0 ".log"))) != 0) \
252       { \
253         if (rc < 0) \
254           fatal("failed to read from " $$0 ".log"); \
255         print line; \
256       }; \
257       printf "\n"; \
258     }; \
259   close ($$0 ".trs"); \
260   close ($$0 ".log"); \
261 }'
262 # Restructured Text title.
263 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
264 # Solaris 10 'make', and several other traditional 'make' implementations,
265 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
266 # by disabling -e (using the XSI extension "set +e") if it's set.
267 am__sh_e_setup = case $$- in *e*) set +e;; esac
268 # Default flags passed to test drivers.
269 am__common_driver_flags = \
270   --color-tests "$$am__color_tests" \
271   --enable-hard-errors "$$am__enable_hard_errors" \
272   --expect-failure "$$am__expect_failure"
273 # To be inserted before the command running the test.  Creates the
274 # directory for the log if needed.  Stores in $dir the directory
275 # containing $f, in $tst the test, in $log the log.  Executes the
276 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
277 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
278 # will run the test scripts (or their associated LOG_COMPILER, if
279 # thy have one).
280 am__check_pre = \
281 $(am__sh_e_setup);                                      \
282 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
283 $(am__tty_colors);                                      \
284 srcdir=$(srcdir); export srcdir;                        \
285 case "$@" in                                            \
286   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
287     *) am__odir=.;;                                     \
288 esac;                                                   \
289 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
290   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
291 if test -f "./$$f"; then dir=./;                        \
292 elif test -f "$$f"; then dir=;                          \
293 else dir="$(srcdir)/"; fi;                              \
294 tst=$$dir$$f; log='$@';                                 \
295 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
296   am__enable_hard_errors=no;                            \
297 else                                                    \
298   am__enable_hard_errors=yes;                           \
299 fi;                                                     \
300 case " $(XFAIL_TESTS) " in                              \
301   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
302     am__expect_failure=yes;;                            \
303   *)                                                    \
304     am__expect_failure=no;;                             \
305 esac;                                                   \
306 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
307 # A shell command to get the names of the tests scripts with any registered
308 # extension removed (i.e., equivalently, the names of the test logs, with
309 # the '.log' extension removed).  The result is saved in the shell variable
310 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
311 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
312 # since that might cause problem with VPATH rewrites for suffix-less tests.
313 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
314 am__set_TESTS_bases = \
315   bases='$(TEST_LOGS)'; \
316   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
317   bases=`echo $$bases`
318 RECHECK_LOGS = $(TEST_LOGS)
319 AM_RECURSIVE_TARGETS = check recheck
320 TEST_SUITE_LOG = test-suite.log
321 TEST_EXTENSIONS = @EXEEXT@ .test
322 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
323 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
324 am__set_b = \
325   case '$@' in \
326     */*) \
327       case '$*' in \
328         */*) b='$*';; \
329           *) b=`echo '$@' | sed 's/\.log$$//'`; \
330        esac;; \
331     *) \
332       b='$*';; \
333   esac
334 am__test_logs1 = $(TESTS:=.log)
335 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
336 TEST_LOGS = $(am__test_logs2:.test.log=.log)
337 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
338 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
339         $(TEST_LOG_FLAGS)
340 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
341 ACLOCAL = @ACLOCAL@
342 AMTAR = @AMTAR@
343 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
344 AR = @AR@
345 AUTOCONF = @AUTOCONF@
346 AUTOHEADER = @AUTOHEADER@
347 AUTOMAKE = @AUTOMAKE@
348 AWK = @AWK@
349 CC = @CC@
350 CCDEPMODE = @CCDEPMODE@
351 CFLAGS = @CFLAGS@
352 CPP = @CPP@
353 CPPFLAGS = @CPPFLAGS@
354 CYGPATH_W = @CYGPATH_W@
355 DEFS = @DEFS@
356 DEPDIR = @DEPDIR@
357 DLLTOOL = @DLLTOOL@
358 DSYMUTIL = @DSYMUTIL@
359 DUMPBIN = @DUMPBIN@
360 ECHO_C = @ECHO_C@
361 ECHO_N = @ECHO_N@
362 ECHO_T = @ECHO_T@
363 EGREP = @EGREP@
364 EXEEXT = @EXEEXT@
365 FGREP = @FGREP@
366 GREP = @GREP@
367 HAVE_PCRE = @HAVE_PCRE@
368 INSTALL = @INSTALL@
369 INSTALL_DATA = @INSTALL_DATA@
370 INSTALL_PROGRAM = @INSTALL_PROGRAM@
371 INSTALL_SCRIPT = @INSTALL_SCRIPT@
372 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
373 LD = @LD@
374 LDFLAGS = @LDFLAGS@
375 LIBOBJS = @LIBOBJS@
376 LIBS = @LIBS@
377 LIBTOOL = @LIBTOOL@
378 LIPO = @LIPO@
379 LN_S = @LN_S@
380 LTLIBOBJS = @LTLIBOBJS@
381 MAKEINFO = @MAKEINFO@
382 MANIFEST_TOOL = @MANIFEST_TOOL@
383 MKDIR_P = @MKDIR_P@
384 NM = @NM@
385 NMEDIT = @NMEDIT@
386 OBJDUMP = @OBJDUMP@
387 OBJEXT = @OBJEXT@
388 OTOOL = @OTOOL@
389 OTOOL64 = @OTOOL64@
390 PACKAGE = @PACKAGE@
391 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
392 PACKAGE_NAME = @PACKAGE_NAME@
393 PACKAGE_STRING = @PACKAGE_STRING@
394 PACKAGE_TARNAME = @PACKAGE_TARNAME@
395 PACKAGE_URL = @PACKAGE_URL@
396 PACKAGE_VERSION = @PACKAGE_VERSION@
397 PATH_SEPARATOR = @PATH_SEPARATOR@
398 PCRE_LIBS = @PCRE_LIBS@
399 RANLIB = @RANLIB@
400 SED = @SED@
401 SET_MAKE = @SET_MAKE@
402 SHELL = @SHELL@
403 STRIP = @STRIP@
404 VERSION = @VERSION@
405 abs_builddir = @abs_builddir@
406 abs_srcdir = @abs_srcdir@
407 abs_top_builddir = @abs_top_builddir@
408 abs_top_srcdir = @abs_top_srcdir@
409 ac_ct_AR = @ac_ct_AR@
410 ac_ct_CC = @ac_ct_CC@
411 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
412 am__include = @am__include@
413 am__leading_dot = @am__leading_dot@
414 am__quote = @am__quote@
415 am__tar = @am__tar@
416 am__untar = @am__untar@
417 bindir = @bindir@
418 build = @build@
419 build_alias = @build_alias@
420 build_cpu = @build_cpu@
421 build_os = @build_os@
422 build_vendor = @build_vendor@
423 builddir = @builddir@
424 datadir = @datadir@
425 datarootdir = @datarootdir@
426 docdir = @docdir@
427 dvidir = @dvidir@
428 exec_prefix = @exec_prefix@
429 host = @host@
430 host_alias = @host_alias@
431 host_cpu = @host_cpu@
432 host_os = @host_os@
433 host_vendor = @host_vendor@
434 htmldir = @htmldir@
435 includedir = @includedir@
436 infodir = @infodir@
437 install_sh = @install_sh@
438 libdir = @libdir@
439 libexecdir = @libexecdir@
440 localedir = @localedir@
441 localstatedir = @localstatedir@
442 mandir = @mandir@
443 mkdir_p = @mkdir_p@
444 oldincludedir = @oldincludedir@
445 pdfdir = @pdfdir@
446 prefix = @prefix@
447 program_transform_name = @program_transform_name@
448 psdir = @psdir@
449 sbindir = @sbindir@
450 sharedstatedir = @sharedstatedir@
451 srcdir = @srcdir@
452 sysconfdir = @sysconfdir@
453 target_alias = @target_alias@
454 top_build_prefix = @top_build_prefix@
455 top_builddir = @top_builddir@
456 top_srcdir = @top_srcdir@
457 TESTS = parse_fastq
458 all: all-am
459
460 .SUFFIXES:
461 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
462 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
463         @for dep in $?; do \
464           case '$(am__configure_deps)' in \
465             *$$dep*) \
466               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
467                 && { if test -f $@; then exit 0; else break; fi; }; \
468               exit 1;; \
469           esac; \
470         done; \
471         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
472         $(am__cd) $(top_srcdir) && \
473           $(AUTOMAKE) --foreign tests/Makefile
474 .PRECIOUS: Makefile
475 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
476         @case '$?' in \
477           *config.status*) \
478             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
479           *) \
480             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
481             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
482         esac;
483
484 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
485         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
486
487 $(top_srcdir)/configure:  $(am__configure_deps)
488         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
489 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
490         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
491 $(am__aclocal_m4_deps):
492
493 clean-checkPROGRAMS:
494         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
495         echo " rm -f" $$list; \
496         rm -f $$list || exit $$?; \
497         test -n "$(EXEEXT)" || exit 0; \
498         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
499         echo " rm -f" $$list; \
500         rm -f $$list
501 cat_fastq$(EXEEXT): $(cat_fastq_OBJECTS) $(cat_fastq_DEPENDENCIES) $(EXTRA_cat_fastq_DEPENDENCIES) 
502         @rm -f cat_fastq$(EXEEXT)
503         $(AM_V_CCLD)$(LINK) $(cat_fastq_OBJECTS) $(cat_fastq_LDADD) $(LIBS)
504 random_fastq$(EXEEXT): $(random_fastq_OBJECTS) $(random_fastq_DEPENDENCIES) $(EXTRA_random_fastq_DEPENDENCIES) 
505         @rm -f random_fastq$(EXEEXT)
506         $(AM_V_CCLD)$(LINK) $(random_fastq_OBJECTS) $(random_fastq_LDADD) $(LIBS)
507
508 mostlyclean-compile:
509         -rm -f *.$(OBJEXT)
510
511 distclean-compile:
512         -rm -f *.tab.c
513
514 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cat_fastq.Po@am__quote@
515 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/random_fastq.Po@am__quote@
516
517 .c.o:
518 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
519 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
520 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
521 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
522 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
523
524 .c.obj:
525 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
526 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
527 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
528 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
529 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
530
531 .c.lo:
532 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
533 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
534 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
535 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
536 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
537
538 mostlyclean-libtool:
539         -rm -f *.lo
540
541 clean-libtool:
542         -rm -rf .libs _libs
543
544 ID: $(am__tagged_files)
545         $(am__define_uniq_tagged_files); mkid -fID $$unique
546 tags: tags-am
547 TAGS: tags
548
549 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
550         set x; \
551         here=`pwd`; \
552         $(am__define_uniq_tagged_files); \
553         shift; \
554         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
555           test -n "$$unique" || unique=$$empty_fix; \
556           if test $$# -gt 0; then \
557             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
558               "$$@" $$unique; \
559           else \
560             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
561               $$unique; \
562           fi; \
563         fi
564 ctags: ctags-am
565
566 CTAGS: ctags
567 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
568         $(am__define_uniq_tagged_files); \
569         test -z "$(CTAGS_ARGS)$$unique" \
570           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
571              $$unique
572
573 GTAGS:
574         here=`$(am__cd) $(top_builddir) && pwd` \
575           && $(am__cd) $(top_srcdir) \
576           && gtags -i $(GTAGS_ARGS) "$$here"
577 cscopelist: cscopelist-am
578
579 cscopelist-am: $(am__tagged_files)
580         list='$(am__tagged_files)'; \
581         case "$(srcdir)" in \
582           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
583           *) sdir=$(subdir)/$(srcdir) ;; \
584         esac; \
585         for i in $$list; do \
586           if test -f "$$i"; then \
587             echo "$(subdir)/$$i"; \
588           else \
589             echo "$$sdir/$$i"; \
590           fi; \
591         done >> $(top_builddir)/cscope.files
592
593 distclean-tags:
594         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
595
596 # Recover from deleted '.trs' file; this should ensure that
597 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
598 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
599 # to avoid problems with "make -n".
600 .log.trs:
601         rm -f $< $@
602         $(MAKE) $(AM_MAKEFLAGS) $<
603
604 # Leading 'am--fnord' is there to ensure the list of targets does not
605 # exand to empty, as could happen e.g. with make check TESTS=''.
606 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
607 am--force-recheck:
608         @:
609
610 $(TEST_SUITE_LOG): $(TEST_LOGS)
611         @$(am__set_TESTS_bases); \
612         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
613         redo_bases=`for i in $$bases; do \
614                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
615                     done`; \
616         if test -n "$$redo_bases"; then \
617           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
618           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
619           if $(am__make_dryrun); then :; else \
620             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
621           fi; \
622         fi; \
623         if test -n "$$am__remaking_logs"; then \
624           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
625                "recursion detected" >&2; \
626         else \
627           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
628         fi; \
629         if $(am__make_dryrun); then :; else \
630           st=0;  \
631           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
632           for i in $$redo_bases; do \
633             test -f $$i.trs && test -r $$i.trs \
634               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
635             test -f $$i.log && test -r $$i.log \
636               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
637           done; \
638           test $$st -eq 0 || exit 1; \
639         fi
640         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
641         ws='[   ]'; \
642         results=`for b in $$bases; do echo $$b.trs; done`; \
643         test -n "$$results" || results=/dev/null; \
644         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
645         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
646         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
647         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
648         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
649         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
650         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
651         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
652           success=true; \
653         else \
654           success=false; \
655         fi; \
656         br='==================='; br=$$br$$br$$br$$br; \
657         result_count () \
658         { \
659             if test x"$$1" = x"--maybe-color"; then \
660               maybe_colorize=yes; \
661             elif test x"$$1" = x"--no-color"; then \
662               maybe_colorize=no; \
663             else \
664               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
665             fi; \
666             shift; \
667             desc=$$1 count=$$2; \
668             if test $$maybe_colorize = yes && test $$count -gt 0; then \
669               color_start=$$3 color_end=$$std; \
670             else \
671               color_start= color_end=; \
672             fi; \
673             echo "$${color_start}# $$desc $$count$${color_end}"; \
674         }; \
675         create_testsuite_report () \
676         { \
677           result_count $$1 "TOTAL:" $$all   "$$brg"; \
678           result_count $$1 "PASS: " $$pass  "$$grn"; \
679           result_count $$1 "SKIP: " $$skip  "$$blu"; \
680           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
681           result_count $$1 "FAIL: " $$fail  "$$red"; \
682           result_count $$1 "XPASS:" $$xpass "$$red"; \
683           result_count $$1 "ERROR:" $$error "$$mgn"; \
684         }; \
685         {                                                               \
686           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
687             $(am__rst_title);                                           \
688           create_testsuite_report --no-color;                           \
689           echo;                                                         \
690           echo ".. contents:: :depth: 2";                               \
691           echo;                                                         \
692           for b in $$bases; do echo $$b; done                           \
693             | $(am__create_global_log);                                 \
694         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
695         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
696         if $$success; then                                              \
697           col="$$grn";                                                  \
698          else                                                           \
699           col="$$red";                                                  \
700           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
701         fi;                                                             \
702         echo "$${col}$$br$${std}";                                      \
703         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
704         echo "$${col}$$br$${std}";                                      \
705         create_testsuite_report --maybe-color;                          \
706         echo "$$col$$br$$std";                                          \
707         if $$success; then :; else                                      \
708           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
709           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
710             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
711           fi;                                                           \
712           echo "$$col$$br$$std";                                        \
713         fi;                                                             \
714         $$success || exit 1
715
716 check-TESTS:
717         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
718         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
719         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
720         @set +e; $(am__set_TESTS_bases); \
721         log_list=`for i in $$bases; do echo $$i.log; done`; \
722         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
723         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
724         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
725         exit $$?;
726 recheck: all $(check_PROGRAMS)
727         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
728         @set +e; $(am__set_TESTS_bases); \
729         bases=`for i in $$bases; do echo $$i; done \
730                  | $(am__list_recheck_tests)` || exit 1; \
731         log_list=`for i in $$bases; do echo $$i.log; done`; \
732         log_list=`echo $$log_list`; \
733         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
734                 am__force_recheck=am--force-recheck \
735                 TEST_LOGS="$$log_list"; \
736         exit $$?
737 parse_fastq.log: parse_fastq
738         @p='parse_fastq'; \
739         b='parse_fastq'; \
740         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
741         --log-file $$b.log --trs-file $$b.trs \
742         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
743         "$$tst" $(AM_TESTS_FD_REDIRECT)
744 .test.log:
745         @p='$<'; \
746         $(am__set_b); \
747         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
748         --log-file $$b.log --trs-file $$b.trs \
749         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
750         "$$tst" $(AM_TESTS_FD_REDIRECT)
751 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
752 @am__EXEEXT_TRUE@       @p='$<'; \
753 @am__EXEEXT_TRUE@       $(am__set_b); \
754 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
755 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
756 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
757 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
758
759 distdir: $(DISTFILES)
760         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
761         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
762         list='$(DISTFILES)'; \
763           dist_files=`for file in $$list; do echo $$file; done | \
764           sed -e "s|^$$srcdirstrip/||;t" \
765               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
766         case $$dist_files in \
767           */*) $(MKDIR_P) `echo "$$dist_files" | \
768                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
769                            sort -u` ;; \
770         esac; \
771         for file in $$dist_files; do \
772           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
773           if test -d $$d/$$file; then \
774             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
775             if test -d "$(distdir)/$$file"; then \
776               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
777             fi; \
778             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
779               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
780               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
781             fi; \
782             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
783           else \
784             test -f "$(distdir)/$$file" \
785             || cp -p $$d/$$file "$(distdir)/$$file" \
786             || exit 1; \
787           fi; \
788         done
789 check-am: all-am
790         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
791         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
792 check: check-am
793 all-am: Makefile
794 installdirs:
795 install: install-am
796 install-exec: install-exec-am
797 install-data: install-data-am
798 uninstall: uninstall-am
799
800 install-am: all-am
801         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
802
803 installcheck: installcheck-am
804 install-strip:
805         if test -z '$(STRIP)'; then \
806           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
807             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
808               install; \
809         else \
810           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
811             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
812             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
813         fi
814 mostlyclean-generic:
815         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
816         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
817         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
818
819 clean-generic:
820
821 distclean-generic:
822         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
823         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
824
825 maintainer-clean-generic:
826         @echo "This command is intended for maintainers to use"
827         @echo "it deletes files that may require special tools to rebuild."
828 clean: clean-am
829
830 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
831         mostlyclean-am
832
833 distclean: distclean-am
834         -rm -rf ./$(DEPDIR)
835         -rm -f Makefile
836 distclean-am: clean-am distclean-compile distclean-generic \
837         distclean-tags
838
839 dvi: dvi-am
840
841 dvi-am:
842
843 html: html-am
844
845 html-am:
846
847 info: info-am
848
849 info-am:
850
851 install-data-am:
852
853 install-dvi: install-dvi-am
854
855 install-dvi-am:
856
857 install-exec-am:
858
859 install-html: install-html-am
860
861 install-html-am:
862
863 install-info: install-info-am
864
865 install-info-am:
866
867 install-man:
868
869 install-pdf: install-pdf-am
870
871 install-pdf-am:
872
873 install-ps: install-ps-am
874
875 install-ps-am:
876
877 installcheck-am:
878
879 maintainer-clean: maintainer-clean-am
880         -rm -rf ./$(DEPDIR)
881         -rm -f Makefile
882 maintainer-clean-am: distclean-am maintainer-clean-generic
883
884 mostlyclean: mostlyclean-am
885
886 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
887         mostlyclean-libtool
888
889 pdf: pdf-am
890
891 pdf-am:
892
893 ps: ps-am
894
895 ps-am:
896
897 uninstall-am:
898
899 .MAKE: check-am install-am install-strip
900
901 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
902         clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
903         ctags ctags-am distclean distclean-compile distclean-generic \
904         distclean-libtool distclean-tags distdir dvi dvi-am html \
905         html-am info info-am install install-am install-data \
906         install-data-am install-dvi install-dvi-am install-exec \
907         install-exec-am install-html install-html-am install-info \
908         install-info-am install-man install-pdf install-pdf-am \
909         install-ps install-ps-am install-strip installcheck \
910         installcheck-am installdirs maintainer-clean \
911         maintainer-clean-generic mostlyclean mostlyclean-compile \
912         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
913         recheck tags tags-am uninstall uninstall-am
914
915
916 # Tell versions [3.59,3.63) of GNU make to not export all variables.
917 # Otherwise a system limit (for SysV at least) may be exceeded.
918 .NOEXPORT: